;****************************************************************************
;                             Sprite Routine Library
;                routines optimized by Austin Butler for Usgard
;
;INCLUDES:
; *PutSprite by Jimmy Merdell
; *NASR WARP by Jingyang Xu
;
;NOTES:
; * NASR has been optimized by Andreas Ess, but not tested!
; * use SET_DEST to set destination(GRAPH_MEM,VIDEO_MEM or whatever)
;
;REQUIREMENTS:
;Set page 4!  They use FIND_PIXEL
;       ld      a, 4
;       out     (5),a     
;****************************************************************************
SPRITLIB = 11

;NAME:          PUTSPRIT
;FUNCTION:      Draw a sprite up to 8x8 fast.  Non-trasparent.
;INPUT:         HL = Sprite location
;               BC = X,Y coordinates relative to top left
;OUTPUT:        HL, BC, AF, DE, IX destroyed
;SPRITE FORMAT:
;label:
;.db 8,8        ;x,y size
;.db %11111111  ;picture start
;.db %10101010
;.db %10010010
;.db %1000...   ;and continue lines equal to y length
PUTSPRIT = 0

;NAME:          NASR WARP
;FUNCTION:      Draw a large sprite in VIDEO_MEM.
;INPUT:         HL = pointer to sprite
;               BC = X,Y coordinates
;               A = 0 erases sprite.  Anything else draws it.
;OUTPUT:        Registers destroyed
;SPRITE FORMAT:
;label:
;.db a,b,c      a = smallest integer < or > X/8
;               b = a*8-x+1
;               c = Y
;.db %11111111,%11111111,%11111111
;.db %01010101,$01010101,%01010101
;.db %00100100,%00100100,%00100100
;.db %0001....
NASRWARP = 1

;NAME:		SET_DEST
;FUNCTION:	set destination(VIDEO_MEM, GRAPH_MEM or whatever)
;INPUT:		HL = destination pointer
;OUTPUT:	none
SET_DEST = 2
